<?php
/*
Plugin Name: Share HTML shortcode
*/
function regist_sharehtml_styles() {
	wp_enqueue_style('sharehtml_style', plugin_dir_url( __FILE__ ) . 'style.css' );
}
add_action( 'wp_enqueue_scripts', 'regist_sharehtml_styles' );

/* 外部リンク対応ブログカードのショートコードを作成 */
function Share_HTML($atts) {
	extract(shortcode_atts(array(
		'url'=>"",
		'title'=>"",
		'excerpt'=>"",
		'img'=>"",
	),$atts));

	//OGP情報を取得
	require_once 'OpenGraph.php';
	$graph = OpenGraph::fetch($url);
		
	//OGPタグからタイトルを取得
	$title = $graph->title;
		
	//OGPタグからdescriptionを取得（抜粋文として利用）
	$description = $graph->description;
	if(empty($description)){
		$description = $excerpt;
	}

	//OGPタグからimageを取得
	$thumb = $graph->image;
	if(empty($thumb)) {
		if (!empty($img)) {
			$thumb = $img;
		} else {
			$thumb = plugin_dir_url( __FILE__ ) ."no-image.png";
		}
	}

	//外部リンク用ブログカードHTML出力
	$ShareHtml = '<a href=" ' . $url .' " style="text-decoration: none;">
		<div class="link-box">
			<div class="img-box">
				<div style="background-image: url(' . $thumb . ');">
				</div>
			</div>
			<div class="text-box">
				<p class="title">'. $title .'</p>
				<p class="description">'. $description .'</p>
			</div>
		</div>
	</a>';
	return $ShareHtml;
}
add_shortcode("ShareHtml", "Share_HTML");
?>